Package: org.codehaus.groovy.grails.plugins.web.async

## [Groovy] Class WebRequestPromsiseDecorator

- org.codehaus.groovy.grails.plugins.web.async.WebRequestPromsiseDecorator

- All Implemented Interfaces and Traits:
    PromiseDecorator

      @groovy.transform.CompileStatic
      class WebRequestPromsiseDecorator

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsWebRequest` | `webRequest`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WebRequestPromsiseDecorator (GrailsWebRequest webRequest)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.Closure<D>` | `decorate(groovy.lang.Closure<D> c)`
    `java.lang.Object` | `invokeClosure(groovy.lang.Closure c, java.lang.Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsWebRequest webRequest

  - ### Constructor Detail

    - #### WebRequestPromsiseDecorator(GrailsWebRequest webRequest)

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure<D> decorate(groovy.lang.Closure<D> c)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) java.lang.Object invokeClosure(groovy.lang.Closure c, java.lang.Object args)